Page MenuHomePhabricator

Fundraising recurring estimate fiscal year 2015 - 2016
Closed, ResolvedPublic

Description


Trello card: oIAtjO5Z

  • column: Incoming requests (external)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 11:33 PM
ggellerman moved this task from Staged to Epics on the Research board.May 15 2015, 12:06 AM
ggellerman updated the task description. (Show Details)
ggellerman set Security to None.
ggellerman moved this task from Epics to Staged (ready to execute) on the Research board.
ellery added a comment.EditedJun 4 2015, 10:59 PM

Megan: How much can we expect to raise from existing recurring donations in the 2015-2016 fiscal year?

We can expect to raise approximately 3.7 million from our current set recurring donors in the 2015-2016 fiscal year. For reference, last calendar year (2014) we raised 2.8 million from recurring donors. In the past 6 months, we have raised 1.8 million from recurring donors.

For details in methodology see the bottom of:
https://github.com/ewulczyn/wmf/blob/master/fr/one_off_notebooks/Recurring%20Payments.ipynb

DarTar updated the task description. (Show Details)Jul 24 2015, 12:24 AM
ellery moved this task from Backlog to Done on the Fundraising-Analysis board.Dec 7 2015, 7:54 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 7 2015, 7:54 PM
ggellerman closed this task as Resolved.Mar 24 2016, 10:18 PM